Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 456478

Summary: condor_submit -dump segfaults when universe = grid
Product: Red Hat Enterprise MRG Reporter: Matthew Farrellee <matt>
Component: gridAssignee: Matthew Farrellee <matt>
Status: CLOSED ERRATA QA Contact: Kim van der Riet <kim.vdriet>
Severity: low Docs Contact:
Priority: low    
Version: 1.0   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-08-11 17:48:34 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 457266    

Description Matthew Farrellee 2008-07-24 00:07:40 UTC
$ cat > grid.job
universe = grid
executable = /bin/echo
queue

$ condor_submit -dump ad grid.job
Storing job ClassAd(s)sh: segmentation fault (core dumped)  condor_submit -dump
ad grid.job

Comment 1 Matthew Farrellee 2008-07-24 00:30:44 UTC
$ cat > x509.job
universe = vanilla
executable = /bin/echo
X509userproxy = /dev/null
queue

$ condor_submit -dump ad x509.job
Storing job ClassAd(s)sh: segmentation fault (core dumped)  condor_submit -dump
ad x509.job


Comment 2 Matthew Farrellee 2008-07-24 22:45:05 UTC
fixed upstream

Comment 3 Matthew Farrellee 2008-07-30 15:39:17 UTC
Fixed in 7.0.4-2

Comment 7 errata-xmlrpc 2008-08-11 17:48:34 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2008-0814.html